PHP 7.4.25 Released!

Spoofchecker::areConfusable

(PHP 5 >= 5.4.0, PHP 7, PHP 8, PECL intl >= 2.0.0)

Spoofchecker::areConfusable指定された文字列が、読み手を混乱させうるかをチェックする

説明

public Spoofchecker::areConfusable(string $string1, string $string2, int &$errorCode = null): bool

ふたつの指定された文字列が、間違いやすいものかをチェックします。

パラメータ

string1

チェックするひとつめの文字列。

string2

チェックするふたつめの文字列。

errorCode

整数のリファレンスを設定します。 エラーがあった場合には、 エラーコード値を含みます。

返り値

ふたつの指定された文字列が、間違いやすいものであれば true を、 そうでない場合は false を返します。

例1 Spoofchecker::areConfusable() の例

<?php
$checker 
= new Spoofchecker();

$checker->areConfusable('google.com''goog1e.com'); // true
// Lower l can be confused with digit one

$checker->areConfusable('google.com''g00g1e.com'); // false
// Zero (0) cannot be easily confused with "o" letter

add a note add a note

User Contributed Notes

There are no user contributed notes for this page.
To Top